summaryrefslogtreecommitdiffstats
path: root/www/linux-opera7
diff options
context:
space:
mode:
authordes <des@FreeBSD.org>2001-03-08 11:12:09 +0000
committerdes <des@FreeBSD.org>2001-03-08 11:12:09 +0000
commit33208c5f10940c286a9eb7f20fda14279871a11c (patch)
tree8a311806bcbe388cb641435a3046a7252d71af50 /www/linux-opera7
parent27007dd5bbc106b2c76544c34f7f471802d24f8b (diff)
downloadFreeBSD-ports-33208c5f10940c286a9eb7f20fda14279871a11c.zip
FreeBSD-ports-33208c5f10940c286a9eb7f20fda14279871a11c.tar.gz
Add a pre-install script that displays the license agreement and asks for
confirmation before installing.
Diffstat (limited to 'www/linux-opera7')
-rw-r--r--www/linux-opera7/Makefile1
-rw-r--r--www/linux-opera7/pkg-install27
2 files changed, 27 insertions, 1 deletions
diff --git a/www/linux-opera7/Makefile b/www/linux-opera7/Makefile
index c5faed3..3f7dd54 100644
--- a/www/linux-opera7/Makefile
+++ b/www/linux-opera7/Makefile
@@ -14,7 +14,6 @@ DISTNAME= opera-5.0-b6-20010212.017-static.i386
MAINTAINER= des@FreeBSD.org
IS_INTERACTIVE= YES
-NO_PACKAGE= "User must agree to license prior to installation."
RUN_DEPENDS= ${LINUXBASE}/lib/ld.so:${PORTSDIR}/emulators/linux_base \
${LINUXBASE}/usr/lib/libpng.so.2:${PORTSDIR}/graphics/linux-png \
diff --git a/www/linux-opera7/pkg-install b/www/linux-opera7/pkg-install
new file mode 100644
index 0000000..18e1ca0
--- /dev/null
+++ b/www/linux-opera7/pkg-install
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+case $2 in
+ PRE-INSTALL)
+ ${PAGER:-more} share/doc/opera/LICENSE
+ echo
+ echo
+ echo -n 'Do you agree to the terms of the license? '
+ read answer
+ case ${answer} in
+ [Yy]|[Yy][Ee][Ss])
+ exit 0
+ ;;
+ *)
+ exit 1
+ ;;
+ esac
+ ;;
+ POST-INSTALL)
+ exit 0
+ ;;
+ *)
+ echo "Unexpected Argument $2!!!"
+ exit 1
+ ;;
+esac
+
OpenPOWER on IntegriCloud